明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 328|回复: 6

[源码] 快捷捕捉

[复制链接]
发表于 2020-10-15 11:59 | 显示全部楼层 |阅读模式
一个简单命令,输入S1或者S2后自动设置捕捉,可自行修改数字。参照以下说明修改。
AutoCAD系统变量: OSMODE --设置
0  NON(无)
1  END(端点)
2  MID(中点)
4  CEN(圆心)
8  NOD(节点)
16  QUA(象限点)
32  INT(交点)
64  INS(插入点)
128  PER(垂足)
256  TAN(切点)
512  NEA(最近点)
1024  QUI(快速)
2048  APP(外观交点)
4096  EXT(尺寸线)
8192  PAR(平行)
要指定多个对象捕捉方式,请输入各个位码值之和。


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2020-10-17 22:35 | 显示全部楼层
;捕捉开关
  1. (DEFUN C:zz ()
  2.   (IF (= (GETVAR "osmode") 6079)
  3.     (setvar "osmode" 0)
  4.                 (setvar "osmode" 6079)
  5.   )
  6. )
复制代码


发表于 2020-10-19 08:54 | 显示全部楼层
(DEFUN C:zz ()
  (setvar "osmode" (abs (-  (GETVAR "osmode") 6079)))
)
发表于 2020-10-19 21:30 | 显示全部楼层
lijiao 发表于 2020-10-19 08:54
(DEFUN C:zz ()
  (setvar "osmode" (abs (-  (GETVAR "osmode") 6079)))
)

挺有有意思,但是如果某时捕捉不是0或者6079,会进入另一个捕捉循环,,,捕捉关闭不了!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2020-10-25 09:39 , Processed in 0.144898 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表